Package Gnumed :: Package timelinelib :: Package canvas :: Package drawing :: Package drawers |
[frames] | no frames]

# Package drawers

source code

Submodules
Gnumed.timelinelib.canvas.drawing.drawers.default Gnumed.timelinelib.canvas.drawing.drawers.legenddrawer: Contains the LegendDrawer class.

Functions
get_progress_color(base_color) Return a color that is slightly brighter then the base_color. | source code
adjust_gray_luminence(base_color) | source code
apply_gray_factor_on_item(item) | source code
adjust_color_luminence(base_color) | source code
rgb2hsl(color) | source code
hsl2rgb(h, s, l) | source code
hue_2_rgb(v1, v2, vh) | source code

Variables
| GRAY_FACTOR = `1.2`
| LUMINENCE_FACTOR = `0.8`

Function Details

### get_progress_color(base_color) | source code
Return a color that is slightly brighter then the base_color. For shades of gray the constant GRAY_FACTOR decides the brightness. Higher factor gives more brightness. For other colors the LUMINENCE_FACTOR decides the brightness. Smaller factor gives more brightness.